The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"не собираеться софт"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Открытые системы на рабочей станции (Public)
Изначальное сообщение [ Отслеживать ]

"не собираеться софт"  
Сообщение от doker (ok) on 23-Дек-08, 12:03 
день добрый, нужна помощь

FreeBSD 7.0
ставлю portupgred`ом php-extensions из портов
вылетает с ошибкой
[Updating the pkgdb <format:bdb_btree> in /var/db/pkg ... - 124 packages found (-0 +3) ... done]
[Gathering depends for lang/php5-extensions ........................../usr/local/lib/ruby/1.8/set.rb:257:in `merge': value must be enumerable (ArgumentError)
from /usr/local/sbin/portinstall:838:in `get_all_depends'
from /usr/local/lib/ruby/1.8/set.rb:189:in `each'
from /usr/local/lib/ruby/1.8/set.rb:189:in `each_key'
from /usr/local/lib/ruby/1.8/set.rb:189:in `each'
from /usr/local/sbin/portinstall:837:in `get_all_depends'
from /usr/local/sbin/portinstall:838:in `get_all_depends'
from /usr/local/lib/ruby/1.8/set.rb:189:in `each'
from /usr/local/lib/ruby/1.8/set.rb:189:in `each_key'
... 15 levels...
from /usr/local/lib/ruby/1.8/optparse.rb:785:in `initialize'
from /usr/local/sbin/portinstall:221:in `new'
from /usr/local/sbin/portinstall:221:in `main'
from /usr/local/sbin/portinstall:2175

когда ставлю make`ом то следующее

===> Vulnerability check disabled, database not found
===> Found saved configuration for php5-extensions-1.2
===> Extracting for php5-extensions-1.2
===> Patching for php5-extensions-1.2
===> php5-extensions-1.2 depends on file: /usr/local/include/php/main/php.h - found
===> php5-extensions-1.2 depends on file: /usr/local/lib/php/20060613/bz2.so - not found
===> Verifying install for /usr/local/lib/php/20060613/bz2.so in /usr/ports/archivers/php5-bz2
"/usr/ports/Mk/bsd.port.mk", line 2240: Malformed conditional (${PREFIX} == /usr)
"/usr/ports/Mk/bsd.port.mk", line 2890: Malformed conditional (${PREFIX} == /usr)
"/usr/ports/Mk/bsd.port.mk", line 3000: Malformed conditional (${PREFIX} == /usr)
"/usr/ports/Mk/bsd.port.mk", line 3002: if-less else
"/usr/ports/Mk/bsd.port.mk", line 3004: if-less endif
"/usr/ports/Mk/bsd.port.mk", line 5700: Malformed conditional ((${PREFIX} != ${LOCALBASE} && ${PREFIX} != ${X11BASE} && ${PREFIX} != ${LINUXBASE} && ${PREFIX} != "/usr"))
"/usr/ports/Mk/bsd.port.mk", line 5705: if-less endif
"/usr/ports/Mk/bsd.port.mk", line 6206: if-less endif
"/usr/ports/Mk/bsd.port.mk", line 6209: if-less endif
make: fatal errors encountered -- cannot continue
*** Error code 1

Stop in /usr/ports/lang/php5-extensions.
*** Error code 1

Stop in /usr/ports/lang/php5-extensions.


и ничего из пхп компонентов тоже неставится ( сам пхп встал нормально)
есть подозрение что сие произошло из за того , что сделал pkg_delete вместо деинсталла когда пытался обновить php , уже ставил старую версию, удалял корректоно, нихт. подскажите плз, как починить ?
порты актуальны

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "не собираеться софт"  
Сообщение от doker (ok) on 23-Дек-08, 14:21 
>[оверквотинг удален]
>
>Stop in /usr/ports/lang/php5-extensions.
>
>
>и ничего из пхп компонентов тоже неставится ( сам пхп встал нормально)
>
>есть подозрение что сие произошло из за того , что сделал pkg_delete
>вместо деинсталла когда пытался обновить php , уже ставил старую версию,
>удалял корректоно, нихт. подскажите плз, как починить ?
>порты актуальны

перезалил php порты, и всё завертелось

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру